import java.util.ArrayList;

public class ArrayOfString {
    // Type metadata
    private static org.apache.axis.description.TypeDesc typeDesc = new org.apache.axis.description.TypeDesc(ArrayOfString.class);

    //cria explicitamente o novo tipo. 
    //do servidor WS está retornando um "item" cujo tipo é uma string.
    static {
        typeDesc.setXmlType(new javax.xml.namespace.QName("", "ArrayOfString"));

        org.apache.axis.description.ElementDesc elemField = new org.apache.axis.description.ElementDesc();
        elemField.setFieldName("item");
        elemField.setXmlName(new javax.xml.namespace.QName("", "item"));
        elemField.setXmlType(new javax.xml.namespace.QName("", "String"));
        typeDesc.addFieldDesc(elemField);     
    }

    //'Array' contem varios 'items'
    private String[] Array;
    private String item;
    
    
    private java.lang.Object __equalsCalc = null;
    private boolean __hashCodeCalc = false;

    //metodos basicos
    public ArrayOfString() {
        Array = null;
        item = null;
    }

    public String[] getArray() {
        return Array;
    }

    public void setArray(String[] array) {
        this.Array = array;
    }
    
    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

   
    //metodos necessarios para serializaacao e desserializacao
    public synchronized boolean equals(java.lang.Object obj) {
        if (!(obj instanceof ArrayOfString)) {
            return false;
        }

        ArrayOfString other = (ArrayOfString) obj;

        if (obj == null) {
            return false;
        }

        if (this == obj) {
            return true;
        }

        if (__equalsCalc != null) {
            return (__equalsCalc == obj);
        }

        __equalsCalc = obj;

        boolean _equals;
        _equals = true && (item == other.getItem()) && (Array == other.getArray());
        __equalsCalc = null;

        return _equals;
    }

    public synchronized int hashCode() {
        if (__hashCodeCalc) {
            return 0;
        }

        __hashCodeCalc = true;

        int _hashCode = 1;
        _hashCode += item.hashCode();
        _hashCode += Array.hashCode();
        __hashCodeCalc = false;

        return _hashCode;
    }

    //retorna o objeto do tipo de dado
    public static org.apache.axis.description.TypeDesc getTypeDesc() {
        return typeDesc;
    }

    //metodo serializador
    public static org.apache.axis.encoding.Serializer getSerializer(
        java.lang.String mechType, java.lang.Class _javaType,
        javax.xml.namespace.QName _xmlType) {
        return new org.apache.axis.encoding.ser.BeanSerializer(_javaType,_xmlType, typeDesc);
    }

    //metodo deserializador
    public static org.apache.axis.encoding.Deserializer getDeserializer(
        java.lang.String mechType, java.lang.Class _javaType,
        javax.xml.namespace.QName _xmlType) {
        return new org.apache.axis.encoding.ser.BeanDeserializer(_javaType,_xmlType, typeDesc);
    }
}
