import java.rmi.RemoteException;
import java.util.ArrayList;

import javax.xml.namespace.QName;
import javax.xml.rpc.Call;
import javax.xml.rpc.ParameterMode;
import javax.xml.rpc.ServiceException;
import javax.xml.rpc.encoding.XMLType;
import org.apache.axis.client.Service;

public class Cliente_RU {
	static void callWebService( String url,  String stock_symbol ) throws ServiceException, RemoteException {
        Service  service = new Service();
        Call  call  = service.createCall();

        call.setTargetEndpointAddress( url );
        call.setOperationName( new QName("retornaCardapio" ) );
        call.addParameter( "dia", XMLType.XSD_STRING, ParameterMode.IN );
        call.setReturnType(new QName("ArrayOfString"),ArrayOfString.class);

        ArrayOfString resu = (ArrayOfString)call.invoke( new Object[] {stock_symbol} );
        System.out.println(resu.getItem());
     }

     public static void main(String [] args) throws RemoteException, ServiceException {
        callWebService( "http://10.32.175.73/ws_server/index.php", "segunda" );
     }
}
